com.verisign.epp.codec.idntable

## Class EPPIdnTableCheckResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.idntable.EPPIdnTableCheckResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPIdnTableCheckResp
      extends EPPResponse

  Represents an Internationalized Domain Name (IDN) Table response to a <check> command, with two different forms including the Domain Check Form and the Table Check Form. The response in Domain Check Form returns the validity of the domain name and the matching IDN table identifiers. The response in Table Check Form returns whether or not the table identifier exists.
  See Also:
    `EPPIdnTableCheckCmd`, `EPPIdnTableCheckDomain`, `EPPIdnTableCheckTable`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPIdnTableCheckResp.Form` Check form types, that include: `UNDEFINED_FORM` that represents an undefined state, where neither or both tables and domains are defined. `DOMAIN_FORM` that represents the "Domain Check Form", where domain names are only defined. `TABLE_FORM` that represents the "Table Check Form", where table identifiers are only defined.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPIdnTableCheckResp`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPIdnTableCheckCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPIdnTableCheckResp()` `EPPIdnTableCheckResp` default constructor.
    `EPPIdnTableCheckResp(EPPTransId aTransId)` `EPPIdnTableCheckResp` constructor that only takes the transaction identifier.
    `EPPIdnTableCheckResp(EPPTransId aTransId, EPPIdnTableCheckDomain aDomain)` `EPPIdnTableCheckResp` constructor that takes an individual domain.
    `EPPIdnTableCheckResp(EPPTransId aTransId, EPPIdnTableCheckTable aTable)` `EPPIdnTableCheckResp` constructor that takes an individual table.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDomain(EPPIdnTableCheckDomain aDomain)` Append a domain to the list of domains.
    `void` | `addTable(EPPIdnTableCheckTable aTable)` Append a table to the list of tables.
    `java.lang.Object` | `clone()` Clone `EPPIdnTableCheckResp`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPIdnTableCheckResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPIdnTableCheckResp` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPIdnTableCheckResp` with this instance.
    `java.util.List<EPPIdnTableCheckDomain>` | `getDomains()` Get the list of domains
    `EPPIdnTableCheckResp.Form` | `getForm()` What check form is being used, which are defined by the `Form` enumeration.
    `java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with `EPPIdnTableCheckResp`.
    `java.util.List<EPPIdnTableCheckTable>` | `getTables()` Get the list of tables.
    `java.lang.String` | `getType()` Get the EPP response type associated with `EPPIdnTableCheckResp`.
    `boolean` | `hasDomains()` Are any domains defined in the list of domains?
    `boolean` | `hasTables()` Are any table defined in the list of tables?
    `void` | `setDomain(EPPIdnTableCheckDomain aDomain)` Set an individual domain.
    `void` | `setDomains(java.util.List<EPPIdnTableCheckDomain> aDomains)` Set the list of domains
    `void` | `setTable(EPPIdnTableCheckTable aTable)` Set an individual table.
    `void` | `setTables(java.util.List<EPPIdnTableCheckTable> aTables)` Set the list of tables.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPIdnTableCheckResp`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPIdnTableCheckCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPIdnTableCheckResp

          public EPPIdnTableCheckResp()

      `EPPIdnTableCheckResp` default constructor. It will set results attribute to an empty `List`.

    - #### EPPIdnTableCheckResp

          public EPPIdnTableCheckResp(EPPTransId aTransId)

      `EPPIdnTableCheckResp` constructor that only takes the transaction identifier.
      Parameters:
        `aTransId` - transaction Id associated with response

    - #### EPPIdnTableCheckResp

          public EPPIdnTableCheckResp(EPPTransId aTransId,
                                      EPPIdnTableCheckTable aTable)

      `EPPIdnTableCheckResp` constructor that takes an individual table. Add more tables using `addTable(EPPIdnTableCheckTable)`.
      Parameters:
        `aTransId` - transaction Id associated with response
        `aTable` - An individual table

    - #### EPPIdnTableCheckResp

          public EPPIdnTableCheckResp(EPPTransId aTransId,
                                      EPPIdnTableCheckDomain aDomain)

      `EPPIdnTableCheckResp` constructor that takes an individual domain. Add more domains using `addDomain(EPPIdnTableCheckDomain)`.
      Parameters:
        `aTransId` - transaction Id associated with response
        `aDomain` - An individual domain

  - ### Method Detail

    - #### getForm

          public EPPIdnTableCheckResp.Form getForm()

      What check form is being used, which are defined by the `Form` enumeration.
      Returns:
        One of the `Form` values.

    - #### hasTables

          public boolean hasTables()

      Are any table defined in the list of tables?
      Returns:
        `true` if there is at least one table defined; `false` otherwise.

    - #### getTables

          public java.util.List<EPPIdnTableCheckTable> getTables()

      Get the list of tables.
      Returns:
        `List` of tables

    - #### setTables

          public void setTables(java.util.List<EPPIdnTableCheckTable> aTables)

      Set the list of tables.
      Parameters:
        `aTables` - `List` of tables

    - #### setTable

          public void setTable(EPPIdnTableCheckTable aTable)

      Set an individual table. This method clears the existing list of tables.
      Parameters:
        `aTable` - Table check result

    - #### addTable

          public void addTable(EPPIdnTableCheckTable aTable)

      Append a table to the list of tables. This method does NOT clear the existing list of tables.
      Parameters:
        `aTable` - Table check result

    - #### hasDomains

          public boolean hasDomains()

      Are any domains defined in the list of domains?
      Returns:
        `true` if there is at least one domain defined; `false` otherwise.

    - #### getDomains

          public java.util.List<EPPIdnTableCheckDomain> getDomains()

      Get the list of domains
      Returns:
        `List` of domains

    - #### setDomains

          public void setDomains(java.util.List<EPPIdnTableCheckDomain> aDomains)

      Set the list of domains
      Parameters:
        `aDomains` - `List` of domains

    - #### setDomain

          public void setDomain(EPPIdnTableCheckDomain aDomain)

      Set an individual domain. This method clears the existing list of domains.
      Parameters:
        `aDomain` - Domain check result

    - #### addDomain

          public void addDomain(EPPIdnTableCheckDomain aDomain)

      Append a domain to the list of domains. This method does NOT clear the existing list of domains.
      Parameters:
        `aDomain` - Domain check result

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPIdnTableCheckResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPIdnTableCheckResp` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPIdnTableCheckResp` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPIdnTableCheckResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPIdnTableCheckResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getType

          public java.lang.String getType()

      Get the EPP response type associated with `EPPIdnTableCheckResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        `EPPIdnTableCheckResp.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the EPP command Namespace associated with `EPPIdnTableCheckResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPRegistryMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPIdnTableCheckResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPIdnTableCheckResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPIdnTableCheckResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.